Updating Prism to use Unity 2.1?

Topics: Prism v4 - WPF 4
Oct 18, 2011 at 2:52 PM

Any plans to update the Prism 4.0 to use Unity 2.1?

Developer
Oct 28, 2011 at 11:51 PM

We'll update to the latest Unity release when we update the library for .Net 4.5/SL5, which won't start until next year.  I wouldn't anticipate any problems with using Unity 2.1 with the existing bits, although I haven't actually tried it.

 

Feb 16, 2012 at 9:58 AM

Just tried to update to Unity 2.1 and it fails because of "Microsoft.Practices.Prism.UnityExtensions.dll" having a reference to "Microsoft.Practices.Unity.dll, Version 2.0.414.0" :(